shr.defineClass("shr.dormitroy.list", shr.framework.List, {
  _this:null,
  initalizeDOM: function () {
    shr.dormitroy.list.superClass.initalizeDOM.call(this);
    _this=this
  },
  gridLoadComplete: function (ret) {
    shr.dormitroy.list.superClass.gridLoadComplete.call(this, ret)
    $('td[aria-describedby="grid_OccupantsNumber"][role="gridcell"]').css({
      color: '#2b87f3',
      cursor: 'pointer',
    })
    $('td[aria-describedby="grid_OccupantsNumber"][role="gridcell"]').on(
      'click',
      function () {
        var billId = $(this).parent().attr("id");
        _this.reloadPage({
          uipk: "com.kingdee.eas.custom.dormitorysystem.occupants.app.Occupants.list",
          dormitroy: billId,
        });
      }
    )
  }
})
